PETSc version 3.15.5
Fix/Edit manual page

# SNESNASMSetComputeFinalJacobian

Schedules the computation of the global and subdomain Jacobians upon convergence

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESNASMSetComputeFinalJacobian(SNES snes,PetscBool flg)

Collective on SNES

### Input Parameters

| SNES | - the SNES context
| flg | - indication of whether to compute the Jacobians or not

### Notes

This is used almost exclusively in the implementation of ASPIN, where the converged subdomain and global Jacobian is needed at each linear iteration.

### See Also

SNESNASM, SNESNASMGetSubdomains()

### Level

developer

### Location

src/snes/impls/nasm/nasm.c

### Implementations

SNESNASMSetComputeFinalJacobian_NASM in src/snes/impls/nasm/nasm.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages